#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x19e7f00b, "nvKmsKapiGetFunctionsTable" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1d0875d5, "drm_connector_list_iter_begin" },
	{ 0x46e9e5e4, "drm_connector_list_iter_next" },
	{ 0xc999d8e0, "drm_connector_list_iter_end" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x92997ed8, "_printk" },
	{ 0x924d5e4e, "drm_atomic_helper_shutdown" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4749c7d9, "drm_kms_helper_poll_fini" },
	{ 0xf511dfe0, "drm_mode_config_cleanup" },
	{ 0xe44dfb8, "drm_kms_helper_hotplug_event" },
	{ 0x9f28689f, "drmm_mode_config_init" },
	{ 0x1880b7f3, "drm_mode_create_dvi_i_properties" },
	{ 0xa8656cd6, "drm_kms_helper_poll_init" },
	{ 0xd1fe092a, "drm_kms_helper_poll_disable" },
	{ 0xa2f503c5, "drm_property_create_enum" },
	{ 0x898ecdab, "drm_property_create_range" },
	{ 0x9548b484, "drm_property_create" },
	{ 0xc5c9288f, "drm_helper_hpd_irq_event" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcb96f60f, "drm_mode_object_find" },
	{ 0x7d71b0ac, "drm_mode_object_put" },
	{ 0x1d0467cc, "drm_modeset_acquire_init" },
	{ 0x237e67b5, "drm_modeset_lock_all_ctx" },
	{ 0x1c90206f, "drm_modeset_drop_locks" },
	{ 0x63d4207, "drm_modeset_acquire_fini" },
	{ 0xe3bef34a, "drm_modeset_backoff" },
	{ 0x5a3e071d, "drm_ioctl" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb72c22db, "drm_file_get_master" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x102d8a07, "drm_master_put" },
	{ 0x118dba27, "drm_atomic_state_alloc" },
	{ 0x72445ef7, "drm_atomic_get_crtc_state" },
	{ 0x871c6ff6, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0xdadd45fe, "drm_atomic_get_connector_state" },
	{ 0x7ea769e7, "drm_atomic_set_crtc_for_connector" },
	{ 0x9baae1e3, "drm_atomic_commit" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe390d97b, "drm_modeset_lock_all" },
	{ 0x5a0c68a0, "drm_modeset_unlock_all" },
	{ 0x7e3277f8, "___drm_dbg" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc4e7871e, "drm_dev_alloc" },
	{ 0x7736df24, "drm_dev_register" },
	{ 0xc56af8a3, "pci_bus_type" },
	{ 0xf1d6fead, "drm_fbdev_generic_setup" },
	{ 0xc9f25a2d, "drm_dev_put" },
	{ 0xb7bd89f0, "drm_aperture_remove_conflicting_pci_framebuffers" },
	{ 0x7b32ef76, "drm_dev_unregister" },
	{ 0xa2515282, "drm_fb_helper_set_suspend_unlocked" },
	{ 0xffb5fe24, "drm_mode_config_reset" },
	{ 0x5536bb65, "drm_kms_helper_poll_enable" },
	{ 0xd91185d0, "drm_gem_prime_handle_to_fd" },
	{ 0xd85159e5, "drm_gem_prime_fd_to_handle" },
	{ 0x130b04cb, "noop_llseek" },
	{ 0xfd45e155, "drm_read" },
	{ 0xe5bfbbff, "drm_poll" },
	{ 0x4a3eaf39, "drm_compat_ioctl" },
	{ 0xe230889e, "drm_open" },
	{ 0x9935d152, "drm_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xc3aa4071, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x49fe581b, "drm_crtc_cleanup" },
	{ 0x16e11ada, "drm_plane_cleanup" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0xf2cfcff3, "__drm_atomic_helper_plane_destroy_state" },
	{ 0xeb1e839e, "drm_property_blob_put" },
	{ 0x63727d07, "__drm_atomic_helper_plane_duplicate_state" },
	{ 0x396225dd, "drm_property_blob_get" },
	{ 0xcdc309ea, "drm_atomic_helper_plane_reset" },
	{ 0x37a0cba, "kfree" },
	{ 0x29ba2632, "drm_universal_plane_init" },
	{ 0x31175989, "drm_object_attach_property" },
	{ 0xbce9ab66, "drm_plane_create_rotation_property" },
	{ 0x4fac95ed, "drm_plane_create_alpha_property" },
	{ 0x87f6ae56, "drm_plane_create_blend_mode_property" },
	{ 0x9b8b8639, "drm_property_replace_blob" },
	{ 0x4112f335, "drm_property_lookup_blob" },
	{ 0x3012bb7a, "drm_atomic_helper_crtc_reset" },
	{ 0xc668f98b, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0x5d14d352, "drm_crtc_init_with_planes" },
	{ 0xd88915f9, "drm_crtc_enable_color_mgmt" },
	{ 0xb51b88e6, "drm_mode_crtc_set_gamma_size" },
	{ 0x9e0de241, "drm_atomic_helper_set_config" },
	{ 0x7d32be12, "drm_atomic_helper_page_flip" },
	{ 0x5843b92f, "drm_atomic_helper_update_plane" },
	{ 0xd73c14ff, "drm_atomic_helper_disable_plane" },
	{ 0x62cbdff8, "drm_encoder_cleanup" },
	{ 0x9108987c, "drm_encoder_init" },
	{ 0xced53980, "drm_connector_attach_encoder" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd51a600, "drm_connector_atomic_hdr_metadata_equal" },
	{ 0x2c6ff0c7, "drm_connector_update_edid_property" },
	{ 0xb2176bbb, "drm_mode_create" },
	{ 0x62b8bdc2, "drm_mode_probed_add" },
	{ 0x495dc2eb, "drm_connector_unregister" },
	{ 0x12219d66, "drm_connector_cleanup" },
	{ 0x754d539c, "strlen" },
	{ 0xad3b0ed1, "drm_connector_init" },
	{ 0x905b3e1a, "drm_mode_create_dp_colorspace_property" },
	{ 0xe3a0f4ad, "drm_connector_attach_hdr_output_metadata_property" },
	{ 0x15e3dc13, "drm_connector_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x9cdcd7f9, "drm_mode_create_hdmi_colorspace_property" },
	{ 0x9cc95596, "drm_connector_attach_colorspace_property" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xce2c9b9, "drm_edid_override_connector_update" },
	{ 0x819fee19, "drm_connector_attach_vrr_capable_property" },
	{ 0x262fd1ac, "drm_connector_set_vrr_capable_property" },
	{ 0x94970d7d, "drm_object_property_set_value" },
	{ 0x33133a2f, "drm_atomic_helper_connector_reset" },
	{ 0xf062910c, "drm_helper_probe_single_connector_modes" },
	{ 0xf88e0eb0, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xfb4ed404, "drm_atomic_helper_connector_destroy_state" },
	{ 0x1b3e617f, "drm_gem_object_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7205a254, "drm_gem_private_object_init" },
	{ 0x5543f695, "drm_gem_prime_import" },
	{ 0xf4fc99a4, "drm_gem_object_lookup" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xc7910e38, "drm_vma_offset_lookup_locked" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x24cf437a, "drm_vma_node_is_allowed" },
	{ 0xe777f8a9, "drm_gem_vm_open" },
	{ 0x6db90cd0, "drm_gem_vm_close" },
	{ 0x8ce237d0, "drm_gem_prime_export" },
	{ 0xb24e862e, "drm_gem_handle_create" },
	{ 0x844dcd6e, "drm_framebuffer_cleanup" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xdb059c0c, "drm_helper_mode_fill_fb_struct" },
	{ 0x8b795868, "drm_framebuffer_init" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd8956f81, "drm_crtc_send_vblank_event" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa52cb54c, "drm_atomic_state_init" },
	{ 0x8ea5e59a, "drm_atomic_state_default_clear" },
	{ 0x7af29062, "drm_atomic_state_default_release" },
	{ 0x2013b3f, "drm_atomic_add_affected_planes" },
	{ 0xbb5bc051, "drm_atomic_helper_check" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb2f3823f, "drm_atomic_helper_swap_state" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x197d5b60, "dma_fence_default_wait" },
	{ 0xf781a46a, "ww_mutex_lock" },
	{ 0xda6504df, "dma_resv_reserve_fences" },
	{ 0x7cf7a96d, "dma_resv_add_fence" },
	{ 0x30e0b565, "ww_mutex_unlock" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xaacf03c1, "dma_fence_signal" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0xdeb99119, "dma_fence_init" },
	{ 0x14605535, "dma_fence_context_alloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x628c0f8f, "dma_fence_add_callback" },
	{ 0x1479909a, "drm_atomic_add_affected_connectors" },
	{ 0xc2eb7173, "drm_atomic_get_plane_state" },
	{ 0x74f7db46, "drm_atomic_set_crtc_for_plane" },
	{ 0xc2a9f183, "drm_atomic_set_fb_for_plane" },
	{ 0xc95cef72, "const_pcpu_hot" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x761b49af, "pcpu_hot" },
	{ 0x56470118, "__warn_printk" },
	{ 0x1000e51, "schedule" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa6257a2f, "complete" },
	{ 0xcf2a6966, "up" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x6d6da993, "kthread_create_on_node" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe536c6db, "vmalloc_to_page" },
	{ 0x1a45cf6, "kthread_stop" },
	{ 0x68c37263, "wake_up_process" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x6e2bb692, "drm_gem_create_mmap_offset" },
	{ 0xf12f881c, "vmf_insert_pfn" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4dc33b59, "drm_gem_mmap_obj" },
	{ 0x5cf6f3f9, "drm_prime_pages_to_sg" },
	{ 0xedc03953, "iounmap" },
	{ 0x490109a4, "vm_insert_page" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x318cbde5, "drm_prime_gem_destroy" },
	{ 0x3ddb8b35, "fput" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x668b19a1, "down_read" },
	{ 0x702ef75f, "pin_user_pages" },
	{ 0x53b954a2, "up_read" },
	{ 0xd3e5a23, "unpin_user_page" },
	{ 0xacf60948, "set_page_dirty_lock" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x3a01a96e, "vmap" },
	{ 0x94961283, "vunmap" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x6cbc2ed7, "sync_file_create" },
	{ 0xf4633928, "fd_install" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x7155bcf8, "sync_file_get_fence" },
	{ 0x46a0c8d3, "param_ops_bool" },
	{ 0xbe198fe8, "module_layout" },
};

MODULE_INFO(depends, "nvidia-modeset");

MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc02i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc06sc80i00*");

MODULE_INFO(srcversion, "298F6DD44CA27F076AC1654");
