#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4a453f53, "iowrite32" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xcf9c903f, "iommu_dev_enable_feature" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe621cf8, "iommu_dev_disable_feature" },
	{ 0xda301ec9, "iommu_sva_bind_device" },
	{ 0xa6b16ffd, "mmput" },
	{ 0x568d6196, "iommu_sva_unbind_device" },
	{ 0x24c205a8, "iommu_sva_get_pasid" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xc95cef72, "const_pcpu_hot" },
	{ 0x9f984513, "strrchr" },
	{ 0x92997ed8, "_printk" },
	{ 0x5d784826, "nvUvmInterfaceCslIncrementIv" },
	{ 0x2c22b46f, "nvUvmInterfaceCslEncrypt" },
	{ 0x5b446776, "nvUvmInterfaceCslDecrypt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1b556dea, "nvUvmInterfaceCslQueryMessagePool" },
	{ 0xd15a3e1c, "nvUvmInterfaceCslRotateIv" },
	{ 0x133fa9bc, "param_ops_ulong" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x668b19a1, "down_read" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x53b954a2, "up_read" },
	{ 0xc1f02f56, "nvUvmInterfaceCslSign" },
	{ 0xd13b8453, "__task_pid_nr_ns" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x761b49af, "pcpu_hot" },
	{ 0x1000e51, "schedule" },
	{ 0xc683f1be, "param_ops_int" },
	{ 0xac3cff1f, "get_mem_cgroup_from_mm" },
	{ 0x197461cc, "int_active_memcg" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa6257a2f, "complete" },
	{ 0xcf2a6966, "up" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x6d6da993, "kthread_create_on_node" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe536c6db, "vmalloc_to_page" },
	{ 0x1a45cf6, "kthread_stop" },
	{ 0x68c37263, "wake_up_process" },
	{ 0xfb578fc5, "memset" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9493fc86, "node_states" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x3d6e2462, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xd3e5a23, "unpin_user_page" },
	{ 0xe1ff09a, "address_space_init_once" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x28ff5a8c, "cdev_init" },
	{ 0x70ee5308, "cdev_add" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x3ddb8b35, "fput" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x109c2a45, "fget" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4601ac13, "unmap_mapping_range" },
	{ 0x702ef75f, "pin_user_pages" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe16b8df7, "kmem_cache_destroy" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xde3a451a, "find_vma" },
	{ 0xba892c39, "set_page_dirty" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0x3a01a96e, "vmap" },
	{ 0x1a045b18, "kmem_cache_free" },
	{ 0x94961283, "vunmap" },
	{ 0xa9be3cf6, "kmem_cache_alloc_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xdc4a5047, "kmem_cache_create" },
	{ 0xc3385e21, "nvUvmInterfaceSessionDestroy" },
	{ 0x84ccfdfb, "nvUvmInterfaceDeRegisterUvmOps" },
	{ 0xbd9bc90d, "nvUvmInterfaceSessionCreate" },
	{ 0x550cc5f7, "nvUvmInterfaceRegisterUvmCallbacks" },
	{ 0xed15cc01, "single_release" },
	{ 0xe509ff2, "single_open" },
	{ 0x7ca8f07a, "proc_mkdir_mode" },
	{ 0x65266c19, "proc_symlink" },
	{ 0xf7419bbb, "nvUvmInterfaceP2pObjectCreate" },
	{ 0x46a0aa1d, "nvUvmInterfaceGetP2PCaps" },
	{ 0xb33460e7, "seq_printf" },
	{ 0x3176cfe3, "proc_create_data" },
	{ 0xce96a1a4, "nvUvmInterfaceP2pObjectDestroy" },
	{ 0xfc8f9b01, "proc_remove" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa62da25a, "nvUvmInterfaceAddressSpaceDestroy" },
	{ 0x78ba08fc, "nvUvmInterfaceDeviceDestroy" },
	{ 0x4bc0e431, "nvUvmInterfaceUnsetPageDirectory" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xeb1a59ab, "nvUvmInterfaceQueryCopyEnginesCaps" },
	{ 0x19f28917, "nvUvmInterfaceServiceDeviceInterruptsRM" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbcf6c453, "nvUvmInterfaceGetGpuInfo" },
	{ 0x6418715d, "nvUvmInterfaceRegisterGpu" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5f10c710, "nvUvmInterfaceDeviceCreate" },
	{ 0xaa9c1109, "nvUvmInterfaceUnregisterGpu" },
	{ 0xa916b694, "strnlen" },
	{ 0x9a138db2, "nvUvmInterfaceQueryCaps" },
	{ 0xe701a2bb, "nvUvmInterfaceAddressSpaceCreate" },
	{ 0xac432e9f, "nvUvmInterfaceGetFbInfo" },
	{ 0xa452244c, "nvUvmInterfaceGetEccInfo" },
	{ 0x534759f3, "nvUvmInterfaceSetPageDirectory" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9c416d04, "dma_alloc_attrs" },
	{ 0xa0c31e8, "dma_free_attrs" },
	{ 0xe5865894, "dma_map_page_attrs" },
	{ 0x9fc35509, "dma_unmap_page_attrs" },
	{ 0x8b8b2e66, "seq_read" },
	{ 0x220bee99, "seq_lseek" },
	{ 0xc350474b, "param_ops_charp" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0x45d246da, "node_to_cpumask_map" },
	{ 0xa053f15, "set_cpus_allowed_ptr" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x6626afca, "down" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x18888d00, "downgrade_write" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb000909e, "nvUvmInterfaceDupAddressSpace" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0x7eb92d00, "pin_user_pages_remote" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9005431d, "__mmu_notifier_register" },
	{ 0x9b74a5f7, "__mmdrop" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x490109a4, "vm_insert_page" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xf7706c49, "__free_pages" },
	{ 0xa7bfe59b, "alloc_pages_noprof" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x36e57696, "nvUvmInterfacePagingChannelsUnmap" },
	{ 0xd5057c22, "nvUvmInterfaceMemoryFree" },
	{ 0x6fcca1a3, "nvUvmInterfacePagingChannelsMap" },
	{ 0x55b4744b, "nvUvmInterfaceMemoryCpuMap" },
	{ 0x4d7a107f, "nvUvmInterfaceMemoryCpuUnMap" },
	{ 0x246cbff7, "nvUvmInterfaceDupAllocation" },
	{ 0x7f03ef2d, "nvUvmInterfaceMemoryAllocFB" },
	{ 0x698f6a77, "nvUvmInterfaceMemoryAllocSys" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x942fa6aa, "nvUvmInterfacePagingChannelPushStream" },
	{ 0xcd40176d, "nvUvmInterfaceChannelDestroy" },
	{ 0x892a63e7, "nvUvmInterfacePagingChannelDestroy" },
	{ 0x7f450da8, "nvUvmInterfaceDeinitCslContext" },
	{ 0xe45112d9, "nvUvmInterfaceTsgDestroy" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x71de450f, "nvUvmInterfaceTsgAllocate" },
	{ 0xb783c89d, "nvUvmInterfaceChannelAllocate" },
	{ 0xb759d51b, "nvUvmInterfaceCslInitContext" },
	{ 0x89e0959d, "nvUvmInterfacePagingChannelAllocate" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x32d22ef3, "param_ops_uint" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x37a0cba, "kfree" },
	{ 0x46c47fb6, "__node_distance" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7c173634, "__bitmap_complement" },
	{ 0x48d27375, "__bitmap_intersects" },
	{ 0x5f263971, "find_vma_intersection" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x618911fc, "numa_node" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x4e6e4b41, "radix_tree_delete" },
	{ 0x6b27729b, "radix_tree_gang_lookup" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0xd9b60cd6, "nvUvmInterfaceFlushReplayableFaultBuffer" },
	{ 0xb7c0f443, "sort" },
	{ 0xd1600093, "nvUvmInterfaceOwnPageFaultIntr" },
	{ 0x1ebf5deb, "nvUvmInterfaceDestroyFaultInfo" },
	{ 0x1138c8e8, "nvUvmInterfaceInitFaultInfo" },
	{ 0x69eb8138, "nvUvmInterfaceReportNonReplayableFault" },
	{ 0x5b7e7949, "nvUvmInterfaceHasPendingNonReplayableFaults" },
	{ 0xe49893bd, "nvUvmInterfaceGetNonReplayableFaults" },
	{ 0x68da4fcb, "nvUvmInterfaceEnableAccessCntr" },
	{ 0x7b23607e, "nvUvmInterfaceDisableAccessCntr" },
	{ 0x64a6a01, "nvUvmInterfaceDestroyAccessCntrInfo" },
	{ 0xec03a88a, "nvUvmInterfaceInitAccessCntrInfo" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x148653, "vsnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x72bfecb5, "kmalloc_caches" },
	{ 0x64d193a7, "kmalloc_trace_noprof" },
	{ 0xece784c2, "rb_first" },
	{ 0xbef3c5d7, "nvUvmInterfaceTogglePrefetchFaults" },
	{ 0x4ea5d10, "ksize" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0x7df29595, "__folio_put" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0x69049cd2, "radix_tree_replace_slot" },
	{ 0xa9241bc9, "__alloc_pages_noprof" },
	{ 0x4ca663e, "nvUvmInterfacePmaAllocPages" },
	{ 0xffab807, "nvUvmInterfacePmaFreePages" },
	{ 0x30aeb11d, "nvUvmInterfacePmaUnregisterEvictionCallbacks" },
	{ 0xccdb149b, "nvUvmInterfacePmaPinPages" },
	{ 0xf1e046cc, "panic" },
	{ 0x525172f0, "nvUvmInterfaceGetPmaObject" },
	{ 0x90df6793, "nvUvmInterfacePmaRegisterEvictionCallbacks" },
	{ 0x62190f9b, "handle_mm_fault" },
	{ 0x31b8e544, "get_user_pages_remote" },
	{ 0x203a44d1, "nvUvmInterfaceGetExternalAllocPtes" },
	{ 0x710977d6, "nvUvmInterfaceGetChannelResourcePtes" },
	{ 0x51f732db, "nvUvmInterfaceFreeDupedHandle" },
	{ 0xd18cb4c2, "nvUvmInterfaceDupMemory" },
	{ 0x27491fbc, "nvUvmInterfaceStopChannel" },
	{ 0x43e66ecb, "nvUvmInterfaceReleaseChannel" },
	{ 0x9ad73756, "nvUvmInterfaceRetainChannel" },
	{ 0xf82d8f8b, "nvUvmInterfaceBindChannelResources" },
	{ 0x46a0c8d3, "param_ops_bool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3b644591, "__bitmap_shift_left" },
	{ 0xd3bd77a9, "mmu_interval_notifier_insert" },
	{ 0xbd8c2fc8, "mmu_interval_read_begin" },
	{ 0xe86ff3c5, "hmm_range_fault" },
	{ 0x746524dd, "mmu_interval_notifier_remove" },
	{ 0xa4191c0b, "memset_io" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xada155d6, "iommu_get_domain_for_dev" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbe198fe8, "module_layout" },
};

MODULE_INFO(depends, "nvidia");


MODULE_INFO(srcversion, "2926D29C43736834C2B4CF5");
