#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvidia_p2p_init_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_destroy_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_page_table, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_pages_persistent, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_map_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_dma_unmap_pages, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_free_dma_mapping, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_register_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_unregister_rsync_driver, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_get_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_p2p_put_rsync_registers, "_gpl", "");
KSYMTAB_FUNC(nvidia_get_rm_ops, "", "");
KSYMTAB_FUNC(nv_register_error_cb, "", "");
KSYMTAB_FUNC(nv_unregister_error_cb, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnregisterGpu, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSessionDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeviceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAddressSpace, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceAddressSpaceDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocFB, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryAllocSys, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetP2PCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetPmaObject, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaRegisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaUnregisterEvictionCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaAllocPages, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaPinPages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryFree, "", "");
KSYMTAB_FUNC(nvUvmInterfacePmaFreePages, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceMemoryCpuUnMap, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTsgDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceQueryCopyEnginesCaps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetGpuInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceServiceDeviceInterruptsRM, "", "");
KSYMTAB_FUNC(nvUvmInterfaceSetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceUnsetPageDirectory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupAllocation, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDupMemory, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFreeDupedHandle, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetFbInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetEccInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceOwnPageFaultIntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceInitAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceEnableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyFaultInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceHasPendingNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetNonReplayableFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceFlushReplayableFaultBuffer, "", "");
KSYMTAB_FUNC(nvUvmInterfaceTogglePrefetchFaults, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDestroyAccessCntrInfo, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDisableAccessCntr, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRegisterUvmCallbacks, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeRegisterUvmOps, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectCreate, "", "");
KSYMTAB_FUNC(nvUvmInterfaceP2pObjectDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetExternalAllocPtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceRetainChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceBindChannelResources, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReleaseChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceStopChannel, "", "");
KSYMTAB_FUNC(nvUvmInterfaceGetChannelResourcePtes, "", "");
KSYMTAB_FUNC(nvUvmInterfaceReportNonReplayableFault, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelAllocate, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelDestroy, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsMap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelsUnmap, "", "");
KSYMTAB_FUNC(nvUvmInterfacePagingChannelPushStream, "", "");
KSYMTAB_FUNC(nvUvmInterfaceKeyRotationChannelDisable, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslInitContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceDeinitCslContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslUpdateContext, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslRotateIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslEncrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslDecrypt, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslSign, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslQueryMessagePool, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslIncrementIv, "", "");
KSYMTAB_FUNC(nvUvmInterfaceCslLogExternalEncryption, "", "");

SYMBOL_CRC(nvidia_p2p_init_mapping, 0x45bb0ad7, "_gpl");
SYMBOL_CRC(nvidia_p2p_destroy_mapping, 0x180f4b6a, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages, 0x5b3f3e79, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_pages_persistent, 0x970adefe, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_page_table, 0xf42ca687, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages, 0x642487ac, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_pages_persistent, 0xacdf3914, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_map_pages, 0xcac43179, "_gpl");
SYMBOL_CRC(nvidia_p2p_dma_unmap_pages, 0xa9487ac7, "_gpl");
SYMBOL_CRC(nvidia_p2p_free_dma_mapping, 0x1fffc11d, "_gpl");
SYMBOL_CRC(nvidia_p2p_register_rsync_driver, 0xfd9433f5, "_gpl");
SYMBOL_CRC(nvidia_p2p_unregister_rsync_driver, 0x1c279952, "_gpl");
SYMBOL_CRC(nvidia_p2p_get_rsync_registers, 0xd436d770, "_gpl");
SYMBOL_CRC(nvidia_p2p_put_rsync_registers, 0xcce32a1a, "_gpl");
SYMBOL_CRC(nvidia_get_rm_ops, 0x193c3c08, "");
SYMBOL_CRC(nv_register_error_cb, 0x25c494b3, "");
SYMBOL_CRC(nv_unregister_error_cb, 0x2e6cec6e, "");
SYMBOL_CRC(nvUvmInterfaceRegisterGpu, 0x6418715d, "");
SYMBOL_CRC(nvUvmInterfaceUnregisterGpu, 0xaa9c1109, "");
SYMBOL_CRC(nvUvmInterfaceSessionCreate, 0xbd9bc90d, "");
SYMBOL_CRC(nvUvmInterfaceSessionDestroy, 0xc3385e21, "");
SYMBOL_CRC(nvUvmInterfaceDeviceCreate, 0x5f10c710, "");
SYMBOL_CRC(nvUvmInterfaceDeviceDestroy, 0x78ba08fc, "");
SYMBOL_CRC(nvUvmInterfaceDupAddressSpace, 0xb000909e, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceCreate, 0xe701a2bb, "");
SYMBOL_CRC(nvUvmInterfaceAddressSpaceDestroy, 0xa62da25a, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocFB, 0x7f03ef2d, "");
SYMBOL_CRC(nvUvmInterfaceMemoryAllocSys, 0x698f6a77, "");
SYMBOL_CRC(nvUvmInterfaceGetP2PCaps, 0x46a0aa1d, "");
SYMBOL_CRC(nvUvmInterfaceGetPmaObject, 0x525172f0, "");
SYMBOL_CRC(nvUvmInterfacePmaRegisterEvictionCallbacks, 0x90df6793, "");
SYMBOL_CRC(nvUvmInterfacePmaUnregisterEvictionCallbacks, 0x30aeb11d, "");
SYMBOL_CRC(nvUvmInterfacePmaAllocPages, 0x04ca663e, "");
SYMBOL_CRC(nvUvmInterfacePmaPinPages, 0xccdb149b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryFree, 0xd5057c22, "");
SYMBOL_CRC(nvUvmInterfacePmaFreePages, 0x0ffab807, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuMap, 0x55b4744b, "");
SYMBOL_CRC(nvUvmInterfaceMemoryCpuUnMap, 0x4d7a107f, "");
SYMBOL_CRC(nvUvmInterfaceTsgAllocate, 0x71de450f, "");
SYMBOL_CRC(nvUvmInterfaceTsgDestroy, 0xe45112d9, "");
SYMBOL_CRC(nvUvmInterfaceChannelAllocate, 0xb783c89d, "");
SYMBOL_CRC(nvUvmInterfaceChannelDestroy, 0xcd40176d, "");
SYMBOL_CRC(nvUvmInterfaceQueryCaps, 0x9a138db2, "");
SYMBOL_CRC(nvUvmInterfaceQueryCopyEnginesCaps, 0xeb1a59ab, "");
SYMBOL_CRC(nvUvmInterfaceGetGpuInfo, 0xbcf6c453, "");
SYMBOL_CRC(nvUvmInterfaceServiceDeviceInterruptsRM, 0x19f28917, "");
SYMBOL_CRC(nvUvmInterfaceSetPageDirectory, 0x534759f3, "");
SYMBOL_CRC(nvUvmInterfaceUnsetPageDirectory, 0x4bc0e431, "");
SYMBOL_CRC(nvUvmInterfaceDupAllocation, 0x246cbff7, "");
SYMBOL_CRC(nvUvmInterfaceDupMemory, 0xd18cb4c2, "");
SYMBOL_CRC(nvUvmInterfaceFreeDupedHandle, 0x51f732db, "");
SYMBOL_CRC(nvUvmInterfaceGetFbInfo, 0xac432e9f, "");
SYMBOL_CRC(nvUvmInterfaceGetEccInfo, 0xa452244c, "");
SYMBOL_CRC(nvUvmInterfaceOwnPageFaultIntr, 0xd1600093, "");
SYMBOL_CRC(nvUvmInterfaceInitFaultInfo, 0x1138c8e8, "");
SYMBOL_CRC(nvUvmInterfaceInitAccessCntrInfo, 0xec03a88a, "");
SYMBOL_CRC(nvUvmInterfaceEnableAccessCntr, 0x68da4fcb, "");
SYMBOL_CRC(nvUvmInterfaceDestroyFaultInfo, 0x1ebf5deb, "");
SYMBOL_CRC(nvUvmInterfaceHasPendingNonReplayableFaults, 0x5b7e7949, "");
SYMBOL_CRC(nvUvmInterfaceGetNonReplayableFaults, 0xe49893bd, "");
SYMBOL_CRC(nvUvmInterfaceFlushReplayableFaultBuffer, 0xd9b60cd6, "");
SYMBOL_CRC(nvUvmInterfaceTogglePrefetchFaults, 0xbef3c5d7, "");
SYMBOL_CRC(nvUvmInterfaceDestroyAccessCntrInfo, 0x064a6a01, "");
SYMBOL_CRC(nvUvmInterfaceDisableAccessCntr, 0x7b23607e, "");
SYMBOL_CRC(nvUvmInterfaceRegisterUvmCallbacks, 0x550cc5f7, "");
SYMBOL_CRC(nvUvmInterfaceDeRegisterUvmOps, 0x84ccfdfb, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectCreate, 0xf7419bbb, "");
SYMBOL_CRC(nvUvmInterfaceP2pObjectDestroy, 0xce96a1a4, "");
SYMBOL_CRC(nvUvmInterfaceGetExternalAllocPtes, 0x203a44d1, "");
SYMBOL_CRC(nvUvmInterfaceRetainChannel, 0x9ad73756, "");
SYMBOL_CRC(nvUvmInterfaceBindChannelResources, 0xf82d8f8b, "");
SYMBOL_CRC(nvUvmInterfaceReleaseChannel, 0x43e66ecb, "");
SYMBOL_CRC(nvUvmInterfaceStopChannel, 0x27491fbc, "");
SYMBOL_CRC(nvUvmInterfaceGetChannelResourcePtes, 0x710977d6, "");
SYMBOL_CRC(nvUvmInterfaceReportNonReplayableFault, 0x69eb8138, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelAllocate, 0x89e0959d, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelDestroy, 0x892a63e7, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsMap, 0x6fcca1a3, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelsUnmap, 0x36e57696, "");
SYMBOL_CRC(nvUvmInterfacePagingChannelPushStream, 0x942fa6aa, "");
SYMBOL_CRC(nvUvmInterfaceKeyRotationChannelDisable, 0x20207223, "");
SYMBOL_CRC(nvUvmInterfaceCslInitContext, 0xb759d51b, "");
SYMBOL_CRC(nvUvmInterfaceDeinitCslContext, 0x7f450da8, "");
SYMBOL_CRC(nvUvmInterfaceCslUpdateContext, 0xd6df6819, "");
SYMBOL_CRC(nvUvmInterfaceCslRotateIv, 0xd15a3e1c, "");
SYMBOL_CRC(nvUvmInterfaceCslEncrypt, 0x2c22b46f, "");
SYMBOL_CRC(nvUvmInterfaceCslDecrypt, 0x5b446776, "");
SYMBOL_CRC(nvUvmInterfaceCslSign, 0xc1f02f56, "");
SYMBOL_CRC(nvUvmInterfaceCslQueryMessagePool, 0x1b556dea, "");
SYMBOL_CRC(nvUvmInterfaceCslIncrementIv, 0x5d784826, "");
SYMBOL_CRC(nvUvmInterfaceCslLogExternalEncryption, 0x7e49b680, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6626afca, "down" },
	{ 0xcf2a6966, "up" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xddf6ad7a, "completion_done" },
	{ 0x1a045b18, "kmem_cache_free" },
	{ 0xe16b8df7, "kmem_cache_destroy" },
	{ 0x3d6e2462, "cdev_del" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x28ff5a8c, "cdev_init" },
	{ 0x70ee5308, "cdev_add" },
	{ 0x37a0cba, "kfree" },
	{ 0x72bfecb5, "kmalloc_caches" },
	{ 0x64d193a7, "kmalloc_trace_noprof" },
	{ 0xfb578fc5, "memset" },
	{ 0xa9be3cf6, "kmem_cache_alloc_noprof" },
	{ 0xc56af8a3, "pci_bus_type" },
	{ 0xc1d35828, "pci_save_state" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x62f149df, "pci_disable_msi" },
	{ 0x135752a0, "pci_disable_msix" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc95cef72, "const_pcpu_hot" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0x53b954a2, "up_read" },
	{ 0xe1ff09a, "address_space_init_once" },
	{ 0xe9ffc063, "down_trylock" },
	{ 0xcd6f4b58, "pci_stop_and_remove_bus_device" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x668b19a1, "down_read" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc0fbc31c, "dma_set_mask" },
	{ 0x8a072d19, "dma_set_coherent_mask" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xedc03953, "iounmap" },
	{ 0xdc4a5047, "kmem_cache_create" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xad65f0d, "cc_platform_has" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x8070eee, "request_firmware" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x109c2a45, "fget" },
	{ 0x3ddb8b35, "fput" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xce807a25, "up_write" },
	{ 0x57bc19d2, "down_write" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0xc6cbbc89, "capable" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0x33fd3670, "iterate_fd" },
	{ 0x9f4f2aa3, "acpi_gbl_FADT" },
	{ 0x282b930c, "iov_iter_kvec" },
	{ 0xcb66e52e, "seq_read_iter" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x77358855, "iomem_resource" },
	{ 0x2a67aeff, "device_property_read_u64_array" },
	{ 0x1cd8438b, "pxm_to_node" },
	{ 0x37b8b39e, "screen_info" },
	{ 0xc350474b, "param_ops_charp" },
	{ 0xd127685b, "pci_clear_master" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xd6c71159, "pci_enable_device" },
	{ 0x1079e57f, "pci_find_capability" },
	{ 0x85bd1608, "__request_region" },
	{ 0x539a5321, "pci_rebar_get_possible_sizes" },
	{ 0xca3d4e0e, "pci_find_host_bridge" },
	{ 0x4cdc2d35, "pci_read_config_word" },
	{ 0xb817c775, "pci_write_config_word" },
	{ 0xb439d0d0, "pci_release_resource" },
	{ 0x228ba5, "pci_assign_unassigned_bus_resources" },
	{ 0xe25cf8df, "pci_resize_resource" },
	{ 0x7198cd37, "pci_read_config_dword" },
	{ 0x18be8c19, "pci_set_master" },
	{ 0x4cfefeea, "vga_set_legacy_decoding" },
	{ 0x3f439bef, "pm_vt_switch_required" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xa48177b9, "pci_disable_device" },
	{ 0xb4eadb16, "filp_open" },
	{ 0xf3241e72, "filp_close" },
	{ 0x9e18e868, "pm_vt_switch_unregister" },
	{ 0x7b34c20a, "pci_read_config_byte" },
	{ 0x9360c844, "pci_get_class" },
	{ 0x53a1102d, "pci_unregister_driver" },
	{ 0x36d658c4, "__pci_register_driver" },
	{ 0x3a37cf9c, "dma_unmap_sg_attrs" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x4e272daa, "dma_map_sg_attrs" },
	{ 0x537fcf17, "dma_buf_get" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x4a71bef2, "dma_buf_put" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x63ad494a, "dma_buf_export" },
	{ 0xac5daad0, "dma_buf_fd" },
	{ 0x48879f20, "hrtimer_init" },
	{ 0xd955afa6, "hrtimer_start_range_ns" },
	{ 0x4a666d56, "hrtimer_cancel" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0x761b49af, "pcpu_hot" },
	{ 0x170ddf79, "acpi_install_notify_handler" },
	{ 0x1c58427f, "acpi_remove_notify_handler" },
	{ 0x735e6a81, "acpi_evaluate_integer" },
	{ 0x2813c47e, "is_acpi_device_node" },
	{ 0x973fa82e, "register_acpi_notifier" },
	{ 0x7023bea8, "unregister_acpi_notifier" },
	{ 0xec2b8a42, "acpi_walk_namespace" },
	{ 0x75871f5e, "acpi_get_next_object" },
	{ 0xbf6d797c, "sg_alloc_table_from_pages_segment" },
	{ 0x9493fc86, "node_states" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xd57e2e84, "node_data" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe5865894, "dma_map_page_attrs" },
	{ 0x9fc35509, "dma_unmap_page_attrs" },
	{ 0x598d0e1a, "dma_unmap_resource" },
	{ 0x52fbd0c4, "dma_ops" },
	{ 0x801176d9, "dma_map_resource" },
	{ 0x3b10df12, "pcibios_resource_to_bus" },
	{ 0xae32659c, "try_module_get" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd1b8b1b5, "module_put" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x47ec5d89, "i2c_add_adapter" },
	{ 0xd1220f42, "i2c_del_adapter" },
	{ 0xb7780d52, "vmf_insert_pfn_prot" },
	{ 0x112e5ff1, "boot_cpu_data" },
	{ 0x46cf10eb, "cachemode2protval" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0x45f8e3ad, "remap_pfn_range" },
	{ 0x490109a4, "vm_insert_page" },
	{ 0x4601ac13, "unmap_mapping_range" },
	{ 0xde80cd09, "ioremap" },
	{ 0xed15cc01, "single_release" },
	{ 0xe509ff2, "single_open" },
	{ 0xd4ec3f68, "__seq_puts" },
	{ 0xb33460e7, "seq_printf" },
	{ 0x11089ac7, "_ctype" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x85df9b6c, "strsep" },
	{ 0x754d539c, "strlen" },
	{ 0x1e6d26a8, "strstr" },
	{ 0xa916b694, "strnlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x8b8b2e66, "seq_read" },
	{ 0x3176cfe3, "proc_create_data" },
	{ 0x7ca8f07a, "proc_mkdir_mode" },
	{ 0xfc8f9b01, "proc_remove" },
	{ 0x220bee99, "seq_lseek" },
	{ 0x9c416d04, "dma_alloc_attrs" },
	{ 0xab65ed80, "set_memory_uc" },
	{ 0x618911fc, "numa_node" },
	{ 0xa9241bc9, "__alloc_pages_noprof" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x92997ed8, "_printk" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x91607d95, "set_memory_wb" },
	{ 0xa0c31e8, "dma_free_attrs" },
	{ 0x8a35b432, "sme_me_mask" },
	{ 0xd38cd261, "__default_kernel_pte_mask" },
	{ 0xa3ca17ff, "set_pages_array_uc" },
	{ 0x3516b519, "set_pages_array_wb" },
	{ 0x3a01a96e, "vmap" },
	{ 0x94961283, "vunmap" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0xc631580a, "console_unlock" },
	{ 0x999e8297, "vfree" },
	{ 0xe40c37ea, "down_write_trylock" },
	{ 0xe914e41e, "strcpy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x2c4f2e35, "__vmalloc_noprof" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x188ea314, "jiffies_to_timespec64" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x9305f8e6, "cpufreq_get" },
	{ 0x9166fada, "strncpy" },
	{ 0x715a5ed0, "vprintk" },
	{ 0xfcc1edd3, "memory_block_size_bytes" },
	{ 0x8c78cf7, "offline_and_remove_memory" },
	{ 0x1000e51, "schedule" },
	{ 0x148653, "vsnprintf" },
	{ 0x556422b3, "ioremap_cache" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfddeb056, "efi" },
	{ 0xf1e046cc, "panic" },
	{ 0xf7706c49, "__free_pages" },
	{ 0x7df29595, "__folio_put" },
	{ 0xd16487aa, "kernel_write" },
	{ 0xd3597f47, "kernel_read" },
	{ 0x7483dc59, "pci_dev_present" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa770832, "register_memory_notifier" },
	{ 0xfcbfec70, "add_memory_driver_managed" },
	{ 0x26e298e0, "unregister_memory_notifier" },
	{ 0x7918d817, "memory_failure" },
	{ 0xe86de408, "get_task_pid" },
	{ 0x25dedfe1, "put_pid" },
	{ 0x5e914ae2, "pid_vnr" },
	{ 0x5f263971, "find_vma_intersection" },
	{ 0x40f1aee8, "follow_pte" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x1d19f77b, "physical_mask" },
	{ 0x702ef75f, "pin_user_pages" },
	{ 0xd3e5a23, "unpin_user_page" },
	{ 0xacf60948, "set_page_dirty_lock" },
	{ 0x1f1f59ef, "pci_get_domain_bus_and_slot" },
	{ 0x60ab6f41, "pci_dev_put" },
	{ 0xbe393582, "pci_write_config_byte" },
	{ 0xd7cf8d17, "pci_write_config_dword" },
	{ 0x5e1a1100, "pci_enable_atomic_ops_to_root" },
	{ 0xcce775b5, "pcie_capability_read_word" },
	{ 0xc683f1be, "param_ops_int" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xa6257a2f, "complete" },
	{ 0x6d6da993, "kthread_create_on_node" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe536c6db, "vmalloc_to_page" },
	{ 0x1a45cf6, "kthread_stop" },
	{ 0x68c37263, "wake_up_process" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xece784c2, "rb_first" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x73896faf, "pci_enable_msi" },
	{ 0xdd4c8931, "pci_enable_msix_range" },
	{ 0xf9c0b663, "strlcat" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xf4633928, "fd_install" },
	{ 0xb6fde909, "close_fd" },
	{ 0x9eb5889, "remove_proc_entry" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x63f835ba, "on_each_cpu_cond_mask" },
	{ 0x8f5c0c9e, "crypto_aead_setkey" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0x59e63b17, "crypto_aead_encrypt" },
	{ 0xdd608976, "crypto_aead_decrypt" },
	{ 0x407ffc07, "crypto_alloc_aead" },
	{ 0x7d19b9cd, "kmalloc_large_noprof" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x2153f5c5, "crypto_destroy_tfm" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xed4ae15e, "ecc_make_pub_key" },
	{ 0x59100486, "ecc_get_curve" },
	{ 0x1686a280, "ecc_is_pubkey_valid_full" },
	{ 0xd6315f31, "ecc_gen_privkey" },
	{ 0xa76b31a2, "crypto_ecdh_shared_secret" },
	{ 0xa32209d0, "crypto_alloc_akcipher" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xc9e9187b, "crypto_shash_setkey" },
	{ 0xc7ec0caf, "crypto_shash_final" },
	{ 0xd14487b4, "crypto_shash_update" },
	{ 0x5d32774a, "crypto_alloc_shash" },
	{ 0x21a21a2e, "crypto_shash_tfm_digest" },
	{ 0x627b7e28, "crypto_shash_export" },
	{ 0xaf68282f, "crypto_shash_import" },
	{ 0x98503a63, "mpi_alloc" },
	{ 0xceb1f126, "mpi_read_raw_data" },
	{ 0x9fe939e1, "mpi_powm" },
	{ 0x3bf17755, "mpi_read_buffer" },
	{ 0x80d5e57a, "mpi_free" },
	{ 0x9e3d2300, "key_type_asymmetric" },
	{ 0xbc60fa7a, "public_key_verify_signature" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xc92d4125, "pci_iounmap" },
	{ 0x4ab98bf8, "pci_release_regions" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4c93f898, "pci_request_regions" },
	{ 0x577babdd, "pci_iomap" },
	{ 0x349cba85, "strchr" },
	{ 0x271aee46, "dev_driver_string" },
	{ 0x84b1d77, "__dma_sync_single_for_cpu" },
	{ 0x79822dae, "__dma_sync_single_for_device" },
	{ 0x2e2b40d2, "strncat" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xbe198fe8, "module_layout" },
};

MODULE_INFO(depends, "ecc");

MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc00i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc03sc02i00*");
MODULE_ALIAS("pci:v000010DEd*sv*sd*bc06sc80i00*");

MODULE_INFO(srcversion, "C8F3EC86B0E686DE5BD5E23");
